Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1083771 - PRD35 - [RFE][scale]: Replace the use of oop with ioprocess
Summary: PRD35 - [RFE][scale]: Replace the use of oop with ioprocess
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.5.0
Assignee: Yeela Kaplan
QA Contact: Yuri Obshansky
URL:
Whiteboard: infra
Depends On: 1083645
Blocks: 1102701 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-04-02 22:49 UTC by Barak
Modified: 2016-02-10 19:05 UTC (History)
15 users (show)

Fixed In Version: vt1.3, 4.16.0-1.el6_5
Doc Type: Enhancement
Doc Text:
Clone Of: 1083645
Environment:
Last Closed: 2015-02-11 20:26:18 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:0178 normal SHIPPED_LIVE new package: ioprocess 2015-02-12 01:16:49 UTC
oVirt gerrit 26576 master MERGED oop: Add an option to configure oop implementation Never
oVirt gerrit 26967 master MERGED ioprocess implementation Never
oVirt gerrit 27120 master ABANDONED fileUtils.validateAccess ioprocess implementation Never
oVirt gerrit 27266 master ABANDONED repoStats implementation using ioprocess instead of RFH Never
oVirt gerrit 27267 master ABANDONED Convert file metadata to use ioprocess for read/writes Never
oVirt gerrit 27268 master ABANDONED Change file permissions using ioprocess Never
oVirt gerrit 27482 master ABANDONED Implement rest of os and os.path functionality Never
oVirt gerrit 27735 master ABANDONED Add createdir, cleanupdir, simplewalk functionality Never

Description Barak 2014-04-02 22:49:29 UTC
+++ This bug was initially created as a clone of Bug #1083645 +++

Description of problem:
Currently we use in vdsm oop.
We want to use instead the python bindings for ioprocess while maintaining the same behavior on NFS storage side when performing IO ops.

Version-Release number of selected component (if applicable):
3.5

Comment 3 Yuri Obshansky 2015-01-07 10:29:32 UTC
This feature verified on RHEV-M version 3.5.0-0.27 (build vt13.5)
I successfully performed 3 tests:
1 Test. 
1 Data Center/1 Cluster/1 Host 
10 NFS Storage Domains
VM Pools with prestarted Vms - 70
RHEV-M Default configuration:
VmPoolMonitorBatchSize=5
VmPoolMonitorIntervalInMinutes=5 
2 Test.
1 Data Center/1 Cluster/1 Host 
10 NFS Storage Domains
VM Pools with prestarted Vms - 70
RHEV-M Custom configuration:
VmPoolMonitorBatchSize=50
VmPoolMonitorIntervalInMinutes=1
3 Test.
1 Data Center/1 Cluster/1 Host 
70 NFS Storage Domains
VM Pools with prestarted Vms - 70
RHEV-M Default configuration:
VmPoolMonitorBatchSize=5
VmPoolMonitorIntervalInMinutes=5 
All tests passed without error/exceptions.

Comment 5 errata-xmlrpc 2015-02-11 20:26:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2015-0178.html


Note You need to log in before you can comment on or make changes to this bug.